1 Reply Latest reply on Dec 8, 2014 5:45 PM by Christian Sadilek

    Errai 3.1.0 warnings ...

    Hristo Stoyanov Master

      I ma getting some (hopefully harmless) warning with Errai 3.1.0:

      1. With Wildfly 8.2.0 I am geting this from CDI upon deployment:

      ...

      21:36:45,652 WARN  [org.jboss.weld.Event] (MSC service thread 1-2) WELD-000411: Observer method [BackedAnnotatedMethod] public org.jboss.errai.cdi.server.CDIExtensionPoints.observeResources(@Observes ProcessAnnotatedType<Object>) receives events for all annotated types. Consider restricting events using @WithAnnotations or a generic type with bounds.

       

      2. During compilation in JAva 8,  I am getting this:

      ...

      warning: Supported source version 'RELEASE_6' from annotation processor 'org.jboss.errai.common.rebind.ModuleAnnotationProcessor' less than -source '1.8'

      warning: Implicitly compiled files were not subject to annotation processing.

        Use -proc:none to disable annotation processing or -implicit to specify a policy for implicit compilation.

      2 warnings

       

       

       

      Any clue? Thanks.